> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Get details of a specific marketplace demo

GET https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/{id}/

Retrieve the marketplace demo's details.

**Permissions:** Any authenticated user with an Air scope.

Reference: https://docs.nvidia.com/dsx-air/api-reference/marketplace/api-v-3-marketplace-demos-retrieve

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — A UUID string identifying this marketplace demo.

## Response

### 200

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `name` (string, required) — The name of the marketplace demo.
- `creator` (string, required) — E-mail of the creator of the marketplace demo.
- `documentation` (string, required, nullable) — The raw markdown documentation for the marketplace demo.
- `tags` (list of string, required) — Names of the tags of the marketplace demo.
- `published` (boolean, required) — Whether the marketplace demo is published.
- `publicly_published` (boolean, required) — Whether the marketplace demo is visible to the entire catalog (true only when the demo is in the published catalog AND its publish access record is set to public).
- `publish_access_record_id` (string, required, nullable) — The id of the marketplace demo publish access record. Returned only to the owning organization, Air admins, and SREs; null otherwise.
- `provision_count` (integer, required) — Number of times a clone has been provisioned from this marketplace demo (counted when the provision request creates the clone; not decremented if that clone later fails to boot).
- `demo` (string, required) — Demo simulation to be used as a base for cloned simulations.
- `demo_simulation_state` (string, required) — The state of the simulation instance associated with this demo which acts as the template for all provisioned simulations from this demo. If the demo was successfully created, this value will be `DEMO` or `CLONING`.
- `expected_resource_usage` (object, required) — The expected resource usage for the marketplace demo.
  - `cpu` (integer, required) — Number of vCPUs required.
  - `memory` (double, required) — Amount of memory required (MiB).
  - `storage` (double, required) — Amount of storage required (GB).
  - `compute_hours` (double, required) — Compute-hours rate (in USD) applied for each hour the simulation runs.
- `description` (string, optional, nullable) — Description of the marketplace demo.
- `repo` (string, optional, nullable) — The code repository of the marketplace demo.
- `publisher` (string, optional) — The name of the company or organization the marketplace demo is published under (e.g. NVIDIA, Google). Required before a marketplace demo can be published.
- `featured` (boolean, optional) — Whether the marketplace demo is featured. This can be used to help order a group of marketplace demos before others.
- `order` (integer, optional, nullable) — A field used to help order specific marketplace demos before or after other specific marketplace demos.
- `icon` (string, optional, nullable) — Public URL of the marketplace demo icon stored in the publicly-accessible bucket. Legacy rows may still contain raw icon data in data URL format until the icon is next updated.

## Errors

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 404 Not Found Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `detail` (string, optional, default: No object matches the given query.) — Description of an error.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "name": "string",
  "creator": "string",
  "documentation": "string",
  "tags": [
    "string"
  ],
  "published": true,
  "publicly_published": true,
  "publish_access_record_id": "string",
  "provision_count": 1,
  "demo": "string",
  "demo_simulation_state": "string",
  "expected_resource_usage": {
    "cpu": 1,
    "memory": 1.1,
    "storage": 1.1,
    "compute_hours": 1.1
  },
  "description": "string",
  "repo": "string",
  "publisher": "string",
  "featured": true,
  "order": 1,
  "icon": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/marketplace/demos/id/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```